﻿; ======================================================================================================================
; Class RichEdit reduced Demo based on just me's and brque505's example
; ======================================================================================================================
#NoEnv
SetBatchLines, -1
SetWinDelay, -1
SetControlDelay, -1
SendMode, Input
;#################################### my Rich edit content ###############################################
Rtf1 =
(
{\rtf1\ansi{\fonttbl\f0\fswiss Helvetica;}\f0\pard
 This is some {\b bold} text.\par 
 \fs24 And this is Wikipedia address: \par
 \fs48 https://en.wikipedia.org/wiki/Rich_Text_Format \par
  \fs98|\fs24 ... and this is notorious \fs48 >>\rtf1\ansi{\fonttbl\f0\fswiss TypeFace;}\fs64'\rtf1\ansi{\fonttbl\f0\fswiss Helvetica;}\fs48<< \fs24 BOX DRAWINGS LIGHT VERTICAL replacement with zero width\par\pard\par
 \par\fs28 You can see that in Rich Edit Control retains some character's "fisical" width, but \par
you can create a zero space to replace caret when not shown (comma as zero space).\par   
of course you'll need only one line i.e. paragraph
 }
)
Rtf2 =
(
{\rtf1\ansi{\fonttbl\f0\fswiss Helvetica;}\f0\pard
 This is some {\b bold} text.\par 
 \fs24 And this is Wikipedia address: \par
 \fs48 https://en.wikipedia.org/wiki/Rich_Text_Format \par
  \fs98|\fs24 ... and this is notorious \fs48 >>\rtf1\ansi{\fonttbl\f0\fswiss TypeFace;}\fs64,\rtf1\ansi{\fonttbl\f0\fswiss Helvetica;}\fs48<< \fs24 BOX DRAWINGS LIGHT VERTICAL replacement with zero width\par\pard\par
 \par\fs28 You can see that in Rich Edit Control retains some character's "fisical" width, but \par
you can create a zero space to replace caret when not shown (comma as zero space).\par   
of course you'll need only one line i.e. paragraph
 }
)
;####################################################################################################
Gui, +hwndGuiID
If !IsObject(RE2 := New RichEdit(1, Options)) {
   MsgBox, 16, Error, %ErrorLevel%
   ExitApp
}
GuiControl, Move, % RE2.HWND, w1190 h320
Gui Show, y0 Autosize, %GuiTitle%
;####################################################################################################
RE2.SetText(Rtf1) ;<<<<<< It's simple like that, all you have to do is dynamicaly edit content!
;####################################################################################################
msgbox To continue press Enter
loop {
	RE2.SetText(Rtf1)
	sleep, 500
	RE2.SetText(Rtf2)
	sleep, 500
}
Return
GuiClose:
If IsObject(RE2)
  RE2 := ""
Gui, %A_Gui%:Destroy
ExitApp
; ----------------------------------------------------------------------------------------------------------------------
#Include Class_RichEdit.ahk
return

Esc::ExitApp

